      REAL FUNCTION TOTC(XDUMMY)
C
C     Filename:  TOTC.FOR
C
C     Calculation of total energy-loss in detector A, B, and C in MeV
C     (sum of dE/dx in detectors A, B, and C)
C     by ADC channel number (A/B/CPHA) and amplifier channel
C     (A/B/CCHN=0 -> low channel/high amplification,
C      A/B/CCHN=1 -> high channel/low amplification)
C
C     H. Sierks, University of Kiel, 08 Nov 1994
C
      REAL
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
*
      if (achn.eq.0.) then
        totc=3.0*apha/1023.
      else
        totc=30.0*apha/1023.
      endif
      if (bchn.eq.0.) then
        totc=totc+3.0*bpha/1023.
      else
        totc=totc+45.0*bpha/1023.
      endif
      if (cchn.eq.0.) then
        totc=totc+16.07*cpha/1023.
      else
        totc=totc+166.7*cpha/1023.
      endif

      END
